> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corgea.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Git-Konfiguration hochladen

> Lädt Git-Konfigurationsdaten für einen bestimmten Scan-Lauf hoch, um das Parsen und Analysieren der Repository-URL zu unterstützen.



## OpenAPI

````yaml /de/api-reference/openapi.json post /git-config-upload
openapi: 3.0.0
info:
  title: Corgea API
  version: 1.0.0
  description: >-
    API für die Interaktion mit den Scan- und
    Schwachstellenmanagement-Funktionen von Corgea
servers:
  - url: https://www.corgea.app/api/v1
    description: Produktionsserver
security:
  - CorgeaToken: []
  - BearerAuth: []
paths:
  /git-config-upload:
    post:
      tags:
        - Uploading 3rd Party Scan
      summary: Git-Konfiguration hochladen
      description: >-
        Lädt Git-Konfigurationsdaten für einen bestimmten Scan-Lauf hoch, um das
        Parsen und Analysieren der Repository-URL zu unterstützen.
      operationId: gitConfigUpload
      parameters:
        - name: run_id
          in: query
          required: true
          schema:
            type: string
          description: ID des dieser Git-Konfiguration zugeordneten Scan-Laufs
      requestBody:
        required: true
        description: Unverarbeitete Git-Konfigurationsdaten als UTF-8-Text
        content:
          text/plain:
            schema:
              type: string
      responses:
        '200':
          description: Git-Konfiguration erfolgreich hochgeladen
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - ok
                    example: ok
                required:
                  - status
        '400':
          description: Ungültiger Request – Validierungsfehler
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: missing run_id
              examples:
                missing_run_id:
                  summary: Parameter run_id fehlt
                  value:
                    status: missing run_id
                invalid_content:
                  summary: Inhaltsvalidierung fehlgeschlagen
                  value:
                    status: invalid content
components:
  securitySchemes:
    CorgeaToken:
      type: apiKey
      in: header
      name: CORGEA-TOKEN
      description: API-Key für die Authentifizierung
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: OAuth2-Access-Token (JWT) im Authorization-Header

````